<?php

/**
 * Description: Template file for admin render settings
 * 
 * @package Channelize Shopping
 * 
 * 
 */

defined('ABSPATH') || exit;
?>

<div id="wpbody" role="main">

    <div id="wpbody-content">
        <div class="js-wc-facebook-for-woocommerce-admin-notice-placeholder"></div>
        <h1>Live Shopping & Video Streams</h1>
        <div class="wrap" id="wpcf7-integration">

            <h1>Instructions</h1>

            <div class="card" id="instructions" style="max-width:fit-content;">
                <div class="inside">
                    <ul style="text-alingment:left;">
                        <li>1. ​​After installing the Live Shopping & Video Streams Plugin successfully, the next step is to configure the plugin settings.</li>
                        <li>2. To do so, sign up for a <a href='<?php echo esc_url("https://channelize.io/lsc/account/login") ?>' target="_blank">Channelize.io account</a>, choose a subscription plan, and complete the sign-up process.</li>
                        <li>3. You will then be redirected to your <strong>Live Shopping & Video Streams Dashboard</strong>, also known as the <strong>Production Dashboard</strong>.</li>
                        <li>4. Now go to your dashboard's <strong>Help & Support</strong> page, where you can see your Public & Private Keys as well as other account information.</li>
                        <li>5. Copy & paste these keys into the plugin settings and save changes.</li>
                        <li>6. Once this is completed, the Plugin has been successfully configured. You can find your Live Shop Page URL in the Plugin's Live Shop Page.</li>
                        <li>
                            <div style="margin-left: 10px;">This page is also available in Pages under the heading <strong>Streams</strong>. If you want to learn more about this, go to the Plugin's Live Shop Page. <div>
                        </li>
                        <li>7. You are now ready to create Shopping Shows in your production dashboard and go Live from broadcaster apps. To learn more, visit our <a href='<?php echo esc_url("http://help.channelize.io/67--getting-started-with-live-video-shopping--streams-dashboard") ?>' target='_blank'>Help Center</a>. </li>
                        <li>
                            <div style="margin-left: 10px;">Please remember to include the <strong> Product ID</strong> of each product when adding products to your Live Shopping Show for <strong>Cart Integration</strong>.</div>
                        </li>
                        <li>
                            <div style="margin-left: 10px;">To get your Product ID, navigate to WordPress Dashboard > Locate Products tab in the left column > Open it to view the list of all the products existing on your website. You need to copy the Product’s ID as <a href=" <?php echo esc_url("https://prnt.sc/1vlc0t0") ?>" target="_blank">shown here</a> and paste it into your production dashboard as <a href=" <?php echo esc_url("https://prnt.sc/1vollup") ?>" target="_blank">shown here</a>.</div>
                        </li>
                    </ul>
                    <p><strong>Note:</strong></p>
                    <ul>
                        <li>1. It is mandatory to install/activate WooCommerce to use the Live Shopping & Video Streams plugin.</li>
                        <li>2. Our plugin is compatible with WooCommerce versions 4.0.1 and higher.</li>
                    </ul>

                    </ul>
                </div>
            </div>

        </div>

        <div class="clear"></div>
    </div><!-- wpbody-content -->
    <div class="clear"></div>
</div>